
[![Build Status](https://cicd.apps.glenux.net/api/badges/glenux-opencontainers/service-nextcloud/status.svg)](https://cicd.apps.glenux.net/glenux-opencontainers/service-nextcloud)

# Glenux OpenContainers : Service Nextcloud

## Dokku storage mounts

    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/apps:/var/www/html/apps
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/config:/var/www/html/config
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/data:/var/www/html/data

# Process

1. commit 
2. push to git repo
3. run CI/CD
   * build image
   * push image to local registry
4. 

ssh dokku@buddha-apps.boldcode.io app-json:set cloud appjson-path /app/app.json #  glenux/service-nextcloud:latest

Run after install

    # FIXME: config:global:set --value '/Shared' share_folder

    # set file lock timeout
    ./occ config:app:set files_lock lock_timeout --value '30' 

    # set file chunk size
    ./occ config:app:set files max_chunk_size --value 20971520

    # set maintenance window
    ./occ config:system:set maintenance_window_start --type=integer --value=1


Add this in dokku nginx

    rewrite ^/\.well-known/carddav https://$server_name/remote.php/dav/ permanent;
    rewrite ^/\.well-known/caldav https://$server_name/remote.php/dav/ permanent;

Add this in crontab

    dokku enter cloud web su -l -s /bin/bash - www-data -c "cd html && php -dmemory_limit=-1 ./occ app:update --all"

dokku nginx:set cloud client-max-body-size 500m


## Extra configuration steps

Accessing site insecurely via HTTP. You are strongly advised to set up your server to require HTTPS instead. Without it some important web functionality like "copy to clipboard" or "service workers" will not work! For more details see the documentation ↗.

    'trusted_proxies' => 
     array (
       0 => '172.17.0.1',
     ),


Server has no maintenance window start time configured. This means resource intensive daily background jobs will also be executed during your main usage time. We recommend to set it to a time of low usage, so users are less impacted by the load caused from these heavy tasks. For more details see the documentation ↗.

    'maintenance_window_start' => 1,

One or more mimetype migrations are available. Occasionally new mimetypes are added to better handle certain file types. Migrating the mimetypes take a long time on larger instances so this is not done automatically during upgrades. Use the command `occ maintenance:repair --include-expensive` to perform the migrations.

    ./occ maintenance:repair --include-expensive

MariaDB version "11.7.2-MariaDB-ubu2404" detected. MariaDB >=10.6 and <=11.4 is suggested for best performance, stability and functionality with this version of Nextcloud.

    NOOP

The database is used for transactional file locking. To enhance performance, please configure memcache, if available. For more details see the documentation ↗.

Your installation has no default phone region set. This is required to validate phone numbers in the profile settings without a country code. To allow numbers without a country code, please add "default_phone_region" with the respective ISO 3166-1 code of the region to your config file. For more details see the documentation ↗.

You have not set or verified your email server configuration, yet. Please head over to the "Basic settings" in order to set them. Afterwards, use the "Send email" button below the form to verify your settings. For more details see the documentation ↗.

* disable dashboad

